Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85433 - help and getopt mismatch in 'free' (quickie)
Summary: help and getopt mismatch in 'free' (quickie)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-02 17:39 UTC by Matthew S. Hallacy
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-25 08:54:25 UTC


Attachments (Terms of Use)

Description Matthew S. Hallacy 2003-03-02 17:39:21 UTC
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1) 
 
Description of problem: 
usage: free [-b|-k|-m|-g] [-l] [-o] [-t] [-s delay] [-c count] [-V] 
                                        ^^ 
        -b,-k,-m,-g show output in bytes, KB, MB, or GB 
        -h show detailed low and high memory statistics 
      ^^^^ 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. free -h 
   
 
Actual Results:  'invalid usage' 
 
Expected Results:  should have printed detailed high/low memory usage. 
 
Additional info: 
 
*** free.orig   2003-03-02 11:34:41.000000000 -0600 
--- free.c      2003-03-02 11:34:50.000000000 -0600 
*************** 
*** 33,39 **** 
                "[-b|-k|-m|-g] [-l] [-o] [-t] [-s delay] [-c count] [-V]\n", 
                cmdline); 
        fprintf(stderr,"\t-b,-k,-m,-g show output in bytes, KB, MB, or GB\n"); 
!       fprintf(stderr,"\t-h show detailed low and high memory statistics\n"); 
        fprintf(stderr,"\t-o use old format (no -/+buffers/cache line)\n"); 
        fprintf(stderr,"\t-t display total for RAM + swap\n"); 
        fprintf(stderr,"\t-s update every [delay] seconds\n"); 
--- 33,39 ---- 
                "[-b|-k|-m|-g] [-l] [-o] [-t] [-s delay] [-c count] [-V]\n", 
                cmdline); 
        fprintf(stderr,"\t-b,-k,-m,-g show output in bytes, KB, MB, or GB\n"); 
!       fprintf(stderr,"\t-l show detailed low and high memory statistics\n"); 
        fprintf(stderr,"\t-o use old format (no -/+buffers/cache line)\n"); 
        fprintf(stderr,"\t-t display total for RAM + swap\n"); 
        fprintf(stderr,"\t-s update every [delay] seconds\n"); 
 
^- diff -rc fix.

Comment 1 Matthew S. Hallacy 2003-03-02 17:40:25 UTC
whoops,  
 
rpm -q procps 
procps-2.0.11-1 
 

Comment 2 Alexander Larsson 2003-03-11 13:22:37 UTC
This has been fixed in procps cvs after the 2.0.11 release. We'll get it when we
import the next release.



Note You need to log in before you can comment on or make changes to this bug.